# eggs(1) -- the reproductive system of penguins: eggs v10.0.55

# SYNOPSIS

eggs is a console utility, in active development, who let you to remaster your system and redistribuite it as live ISO image.

# INSTALL

AlpineLinux

    $ doas apk add penguins-eggs@testing

AlmaLinux/RockyLinux

    $ sudo dnf install ./penguins-eggs_10.0.55-1_amd64-1rocky9.5..x86_64.rpm

Arch

    $ sudo pacman -S penguins-eggs
    $ sudo pacman -U penguins-eggs_10.0.55-1_amd64-1-x86_64.pkg.tar.zst

Debian/Devuan/Ubuntu

    $ sudo apt install penguins-eggs
    $ sudo dpkg -i penguins-eggs_10.0.55-1_amd64.deb

Fedora

    $ sudo dnf install ./penguins-eggs_10.0.55-1_amd64-1fedora.x86_64.rpm

Manjaro

    $ sudo pamac install penguins-eggs

OpenMamba

    $ sudo dnf install ./penguins-eggs_10.0.55-1_amd64-1mamba.x86_64.rpm

# USAGE

    $ eggs (-v|--version|version)

    penguins-eggs/10.0.55
    $ eggs --help [COMMAND]

    USAGE
    $ eggs COMMAND

Most of the commands of eggs need sudo, but there are exceptions for export, info and mom.

examples:

    sudo eggs produce
    sudo eggs produce --pendrive --clone
    sudo eggs kill

There are too two interactive helpers, probably you already know:

    eggs mom
    sudo eggs dad

We have a comprehensive guide at https://penguins-eggs.net, help yorself signing on telegram https://t.me/penguins_eggs on facebook group, or writing me.

# DESCRIPTION

The scope of this project is to implement the process of remastering your version of Linux, generate it as ISO image, to burn on a CD/DVD or copy to a usb key, to boot your system live. Of course, You can easily install your live image using GUI installer (calamares) or CLI installer (krill) always included.

# COMMANDS

- `eggs adapt`
- `eggs analyze`
- `eggs autocomplete [SHELL]`
- `eggs calamares`
- `eggs config`
- `eggs cuckoo`
- `eggs dad`
- `eggs export iso`
- `eggs export pkg`
- `eggs export tarballs`
- `eggs help [COMMAND]`
- `eggs install`
- `eggs kill`
- `eggs krill`
- `eggs love`
- `eggs mom`
- `eggs produce`
- `eggs status`
- `eggs syncfrom`
- `eggs syncto`
- `eggs tools clean`
- `eggs tools ppa`
- `eggs tools skel`
- `eggs tools stat`
- `eggs tools yolk`
- `eggs update`
- `eggs version`
- `eggs wardrobe get [REPO]`
- `eggs wardrobe list [REPO]`
- `eggs wardrobe show [REPO]`
- `eggs wardrobe wear [REPO]`

## `eggs adapt`

adapt monitor resolution for VM only

    USAGE
      $ eggs adapt [-h] [-v]

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose

    DESCRIPTION
      adapt monitor resolution for VM only

    EXAMPLES
      $ eggs adapt

## `eggs analyze`

analyze for syncto

    USAGE
      $ eggs analyze [-h] [-v]

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose  verbose

    DESCRIPTION
      analyze for syncto

    EXAMPLES
      sudo eggs analyze

## `eggs autocomplete [SHELL]`

Display autocomplete installation instructions.

    USAGE
      $ eggs autocomplete [SHELL] [-r]

    ARGUMENTS
      SHELL  (zsh|bash|powershell) Shell type

    FLAGS
      -r, --refresh-cache  Refresh cache (ignores displaying instructions)

    DESCRIPTION
      Display autocomplete installation instructions.

    EXAMPLES
      $ eggs autocomplete

      $ eggs autocomplete bash

      $ eggs autocomplete zsh

      $ eggs autocomplete powershell

      $ eggs autocomplete --refresh-cache

## `eggs calamares`

configure calamares or install or configure it

    USAGE
      $ eggs calamares [-h] [-i] [-n] [-p] [-r] [--remove] [--theme <value>] [-v]

    FLAGS
      -h, --help           Show CLI help.
      -i, --install        install calamares and its dependencies
      -n, --nointeractive  no user interaction
      -p, --policies       configure calamares policies
      -r, --release        release: remove calamares and all its dependencies after the installation
      -v, --verbose
          --remove         remove calamares and its dependencies
          --theme=<value>  theme/branding for eggs and calamares

    DESCRIPTION
      configure calamares or install or configure it

    EXAMPLES
      sudo eggs calamares

      sudo eggs calamares --install

      sudo eggs calamares --install --theme=/path/to/theme

      sudo eggs calamares --remove

## `eggs config`

Configure eggs to run it

    USAGE
      $ eggs config [-c] [-h] [-n] [-v]

    FLAGS
      -c, --clean          remove old configuration before to create new one
      -h, --help           Show CLI help.
      -n, --nointeractive  no user interaction
      -v, --verbose        verbose

    DESCRIPTION
      Configure eggs to run it

    EXAMPLES
      sudo eggs config

      sudo eggs config --clean

      sudo eggs config --clean --nointeractive

## `eggs cuckoo`

PXE start with proxy-dhcp

    USAGE
      $ eggs cuckoo [-h]

    FLAGS
      -h, --help  Show CLI help.

    DESCRIPTION
      PXE start with proxy-dhcp

    EXAMPLES
      sudo eggs cuckoo

## `eggs dad`

ask help from daddy - TUI configuration helper

    USAGE
      $ eggs dad [-c] [-d] [-f <value>] [-h] [-v]

    FLAGS
      -c, --clean         remove old configuration before to create
      -d, --default       reset to default values
      -f, --file=<value>  use a file configuration custom
      -h, --help          Show CLI help.
      -v, --verbose

    DESCRIPTION
      ask help from daddy - TUI configuration helper

    EXAMPLES
      sudo dad

      sudo dad --clean

      sudo dad --default

## `eggs export iso`

export iso in the destination host

    USAGE
      $ eggs export iso [-C] [-c] [-h] [-v]

    FLAGS
      -C, --checksum  export checksums md5 and sha256
      -c, --clean     delete old ISOs before to copy
      -h, --help      Show CLI help.
      -v, --verbose   verbose

    DESCRIPTION
      export iso in the destination host

    EXAMPLES
      $ eggs export iso

      $ eggs export iso --clean

## `eggs export pkg`

export pkg/iso to the destination host

    USAGE
      $ eggs export pkg [-a] [-c] [-h] [-v]

    FLAGS
      -a, --all      export all archs
      -c, --clean    remove old .deb before to copy
      -h, --help     Show CLI help.
      -v, --verbose  verbose

    DESCRIPTION
      export pkg/iso to the destination host

    EXAMPLES
      $ eggs export pkg

      $ eggs export pkg --clean

      $ eggs export pkg --all

## `eggs export tarballs`

export pkg/iso/tarballs to the destination host

    USAGE
      $ eggs export tarballs [-c] [-h] [-v]

    FLAGS
      -c, --clean    remove old .deb before to copy
      -h, --help     Show CLI help.
      -v, --verbose  verbose

    DESCRIPTION
      export pkg/iso/tarballs to the destination host

    EXAMPLES
      $ eggs export tarballs

      $ eggs export tarballs --clean

## `eggs help [COMMAND]`

Display help for eggs.

    USAGE
      $ eggs help [COMMAND...] [-n]

    ARGUMENTS
      COMMAND...  Command to show help for.

    FLAGS
      -n, --nested-commands  Include all nested commands in the output.

    DESCRIPTION
      Display help for eggs.

## `eggs install`

krill: the CLI system installer - the egg became a penguin!

    USAGE
      $ eggs install [-b] [-c] [-k] [-d <value>] [-H] [-h] [-i] [-n] [-N] [-p] [-r] [-s] [-S] [-u] [-v]

    FLAGS
      -H, --halt            Halt the system after installation
      -N, --none            Swap none: 256M
      -S, --suspend         Swap suspend: RAM x 2
      -b, --btrfs           Format btrfs
      -c, --chroot          chroot before to end
      -d, --domain=<value>  Domain name, defult: .local
      -h, --help            Show CLI help.
      -i, --ip              hostname as ip, eg: ip-192-168-1-33
      -k, --crypted         Crypted CLI installation
      -n, --nointeractive   no user interaction
      -p, --pve             Proxmox VE install
      -r, --random          Add random to hostname, eg: colibri-ay412dt
      -s, --small           Swap small: RAM
      -u, --unattended      Unattended installation
      -v, --verbose         Verbose

    DESCRIPTION
      krill: the CLI system installer - the egg became a penguin!

    ALIASES
      $ eggs krill

    EXAMPLES
      sudo eggs install

      sudo eggs install --unattended --halt

      sudo eggs install --chroot

## `eggs kill`

kill the eggs/free the nest

    USAGE
      $ eggs kill [-h] [-i] [-n] [-v]

    FLAGS
      -h, --help           Show CLI help.
      -i, --isos           erase all ISOs on remote mount
      -n, --nointeractive  no user interaction
      -v, --verbose        verbose

    DESCRIPTION
      kill the eggs/free the nest

    EXAMPLES
      sudo eggs kill

## `eggs krill`

krill: the CLI system installer - the egg became a penguin!

    USAGE
      $ eggs krill [-b] [-c] [-k] [-d <value>] [-H] [-h] [-i] [-n] [-N] [-p] [-r] [-s] [-S] [-u] [-v]

    FLAGS
      -H, --halt            Halt the system after installation
      -N, --none            Swap none: 256M
      -S, --suspend         Swap suspend: RAM x 2
      -b, --btrfs           Format btrfs
      -c, --chroot          chroot before to end
      -d, --domain=<value>  Domain name, defult: .local
      -h, --help            Show CLI help.
      -i, --ip              hostname as ip, eg: ip-192-168-1-33
      -k, --crypted         Crypted CLI installation
      -n, --nointeractive   no user interaction
      -p, --pve             Proxmox VE install
      -r, --random          Add random to hostname, eg: colibri-ay412dt
      -s, --small           Swap small: RAM
      -u, --unattended      Unattended installation
      -v, --verbose         Verbose

    DESCRIPTION
      krill: the CLI system installer - the egg became a penguin!

    ALIASES
      $ eggs krill

    EXAMPLES
      sudo eggs install

      sudo eggs install --unattended --halt

      sudo eggs install --chroot

## `eggs love`

the simplest way to get an egg!

    USAGE
      $ eggs love [-h] [-v]

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose

    DESCRIPTION
      the simplest way to get an egg!

    EXAMPLES
      $ eggs auto

## `eggs mom`

ask help from mommy - TUI helper

    USAGE
      $ eggs mom [-h]

    FLAGS
      -h, --help  Show CLI help.

    DESCRIPTION
      ask help from mommy - TUI helper

    EXAMPLES
      $ eggs mom

## `eggs produce`

produce a live image from your system whithout your data

    USAGE
      $ eggs produce [--addons <value>...] [--basename <value>] [-c] [-C] [--excludes <value>...] [-h] [--links
        <value>...] [-m] [-N] [-n] [-p] [-P <value>] [--release] [-s] [-S] [--theme <value>] [-u] [-v] [-y]

    FLAGS
      -C, --cryptedclone         crypted clone
      -N, --noicon               no icon eggs on desktop
      -P, --prefix=<value>       prefix
      -S, --standard             standard compression: xz -b 1M
      -c, --clone                clone
      -h, --help                 Show CLI help.
      -m, --max                  max compression: xz -Xbcj ...
      -n, --nointeractive        no user interaction
      -p, --pendrive             optimized for pendrive: zstd -b 1M -Xcompression-level 15
      -s, --script               script mode. Generate scripts to manage iso build
      -u, --unsecure             /root contents are included on live
      -v, --verbose              verbose
      -y, --yolk                 force yolk renew
          --addons=<value>...    addons to be used: adapt, pve, rsupport
          --basename=<value>     basename
          --excludes=<value>...  use: static, homes, home
          --links=<value>...     desktop links
          --release              release: remove penguins-eggs, calamares and dependencies after installation
          --theme=<value>        theme for livecd, calamares branding and partitions

    DESCRIPTION
      produce a live image from your system whithout your data

    EXAMPLES
      sudo eggs produce                    # zstd fast compression

      sudo eggs produce --standard         # xz compression

      sudo eggs produce --max              # xz max compression

      sudo eggs produce --pendrive         # zstd compression optimized pendrive

      sudo eggs produce --clone            # clone

      sudo eggs produce --cryptedclone     # crypted clone

      sudo eggs produce --basename=colibri

      sudo eggs produce --theme lastos

      sudo eggs produce --excludes static  # you can customize it

      sudo eggs produce --excludes homes   # exclude /home/*

      sudo eggs produce --excludes home    # exclude ~/*

## `eggs status`

informations about eggs status

    USAGE
      $ eggs status [-h] [-v]

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose

    DESCRIPTION
      informations about eggs status

    EXAMPLES
      $ eggs status

## `eggs syncfrom`

restore users and user data from a LUKS volumes

    USAGE
      $ eggs syncfrom [--delete <value>] [-f <value>] [-h] [-r <value>] [-v]

    FLAGS
      -f, --file=<value>     file containing luks-volume encrypted
      -h, --help             Show CLI help.
      -r, --rootdir=<value>  rootdir of the installed system, when used from live
      -v, --verbose          verbose
          --delete=<value>   rsync --delete delete extraneous files from dest dirs

    DESCRIPTION
      restore users and user data from a LUKS volumes

    EXAMPLES
      sudo eggs syncfrom

      sudo eggs syncfrom --file /path/to/luks-volume

## `eggs syncto`

Save users and users' data ENCRYPTED

    USAGE
      $ eggs syncto [-e] [-f <value>] [-h] [-v]

    FLAGS
      -e, --excludes      use: exclude.list.d/home.list
      -f, --file=<value>  file luks-volume encrypted
      -h, --help          Show CLI help.
      -v, --verbose       verbose

    DESCRIPTION
      Save users and users' data ENCRYPTED

    EXAMPLES
      sudo eggs syncto

      sudo eggs syncto --file /path/to/luks-volume

      sudo eggs syncto --excludes

## `eggs tools clean`

clean system log, apt, etc

    USAGE
      $ eggs tools clean [-h] [-n] [-v]

    FLAGS
      -h, --help           Show CLI help.
      -n, --nointeractive  no user interaction
      -v, --verbose        verbose

    DESCRIPTION
      clean system log, apt, etc

    EXAMPLES
      sudo eggs tools clean

## `eggs tools ppa`

add/remove repo

    USAGE
      $ eggs tools ppa [-a] [-h] [-n] [-r] [-v]

    FLAGS
      -a, --add            add penguins-eggs PPA repository
      -h, --help           Show CLI help.
      -n, --nointeractive  no user interaction
      -r, --remove         remove penguins-eggs PPA repository
      -v, --verbose        verbose

    DESCRIPTION
      add/remove repo

    EXAMPLES
      sudo eggs tools ppa --add

      sudo eggs tools ppa --remove

## `eggs tools skel`

update skel from home configuration

    USAGE
      $ eggs tools skel [-h] [-u <value>] [-v]

    FLAGS
      -h, --help          Show CLI help.
      -u, --user=<value>  user to be used
      -v, --verbose

    DESCRIPTION
      update skel from home configuration

    EXAMPLES
      sudo eggs tools skel

      sudo eggs tools skel --user user-to-be-copied

## `eggs tools stat`

get statistics from sourceforge

    USAGE
      $ eggs tools stat [-h] [-m] [-y]

    FLAGS
      -h, --help   Show CLI help.
      -m, --month  current month
      -y, --year   current year

    DESCRIPTION
      get statistics from sourceforge

    EXAMPLES
      $ eggs tools stat

      $ eggs tools stat --month

      $ eggs tools stat --year

## `eggs tools yolk`

configure eggs to install without internet

    USAGE
      $ eggs tools yolk [-h] [-v]

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose

    DESCRIPTION
      configure eggs to install without internet

    EXAMPLES
      sudo eggs tools yolk

## `eggs update`

update the Penguins' eggs tool

    USAGE
      $ eggs update [-h] [-v]

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose  verbose

    DESCRIPTION
      update the Penguins' eggs tool

    EXAMPLES
      $ eggs update

## `eggs version`

    USAGE
      $ eggs version [--json] [--verbose]

    FLAGS
      --verbose  Show additional information about the CLI.

    GLOBAL FLAGS
      --json  Format output as json.

    FLAG DESCRIPTIONS
      --verbose  Show additional information about the CLI.

        Additionally shows the architecture, node version, operating system, and versions of plugins that the CLI is using.

## `eggs wardrobe get [REPO]`

get warorobe

    USAGE
      $ eggs wardrobe get [REPO] [-h] [-v]

    ARGUMENTS
      REPO  repository to get

    FLAGS
      -h, --help     Show CLI help.
      -v, --verbose

    DESCRIPTION
      get warorobe

    EXAMPLES
      $ eggs wardrobe get

      $ eggs wardrobe get your-wardrobe

## `eggs wardrobe list [REPO]`

list costumes and accessoires in wardrobe

    USAGE
      $ eggs wardrobe list [REPO] [-d <value>] [-h] [-v]

    ARGUMENTS
      REPO  wardrobe to get

    FLAGS
      -d, --distro=<value>  distro
      -h, --help            Show CLI help.
      -v, --verbose

    DESCRIPTION
      list costumes and accessoires in wardrobe

    EXAMPLES
      $ eggs wardrobe list

      $ eggs wardrobe list your-wardrobe

      $ eggs wardrobe list --distro arch

## `eggs wardrobe show [REPO]`

show costumes/accessories in wardrobe

    USAGE
      $ eggs wardrobe show [REPO] [-h] [-j] [-v] [-w <value>]

    ARGUMENTS
      REPO  costume to show

    FLAGS
      -h, --help              Show CLI help.
      -j, --json              output JSON
      -v, --verbose
      -w, --wardrobe=<value>  wardrobe

    DESCRIPTION
      show costumes/accessories in wardrobe

    EXAMPLES
      $ eggs wardrobe show colibri

      $ eggs wardrobe show accessories/firmwares

      $ eggs wardrobe show accessories/

## `eggs wardrobe wear [REPO]`

wear costume/accessories from wardrobe

    USAGE
      $ eggs wardrobe wear [REPO] [-h] [-a] [-f] [-v] [-w <value>]

    ARGUMENTS
      REPO  costume to wear

    FLAGS
      -a, --no_accessories    not install accessories
      -f, --no_firmwares      not install firmwares
      -h, --help              Show CLI help.
      -v, --verbose
      -w, --wardrobe=<value>  wardrobe

    DESCRIPTION
      wear costume/accessories from wardrobe

    EXAMPLES
      sudo eggs wardrobe wear duck

      sudo eggs wardrobe wear accessories/firmwares

      sudo eggs wardrobe wear wagtail/waydroid

# FILES

      /etc/penguins-eggs.d
        all eggs configurations are here

      /etc/penguins-eggs.d/exclude.list
        exclude.list

      /usr/lib/penguins-eggs
        where eggs is installed

# TROUBLES

## BUGS

Report problems o new ideas in: https://github.com/pieroproietti/penguins-eggs/issues

# RESOURCES AND DOCUMENTATION

Consult website to find documentation

- website: https://penguins-eggs.net
- gitHub repository: https://github.com/pieroproietti/penguins-eggs
- telegram: https://t.me/penguins_eggs

# AUTHOR

Piero Proietti piero.proietti@gmail.com